TriggerDefinition (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.config

## Class TriggerDefinition

- java.lang.Object
- - org.apache.cassandra.config.TriggerDefinition

-     public class TriggerDefinition
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `classOption`
    `java.lang.String` | `name`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TriggerDefinition` | `create(java.lang.String name, java.lang.String classOption)`
    `void` | `deleteFromSchema(Mutation mutation, java.lang.String cfName, long timestamp)` Drop specified trigger from the schema using given mutation.
    `boolean` | `equals(java.lang.Object o)`
    `static java.util.List<TriggerDefinition>` | `fromSchema(Row serializedTriggers)` Deserialize triggers from storage-level representation.
    `static java.util.Map<java.lang.String,TriggerDefinition>` | `fromThrift(java.util.List<TriggerDef> thriftDefs)`
    `static TriggerDefinition` | `fromThrift(TriggerDef thriftDef)`
    `int` | `hashCode()`
    `void` | `toSchema(Mutation mutation, java.lang.String cfName, long timestamp)` Add specified trigger to the schema using given mutation.
    `java.lang.String` | `toString()`
    `TriggerDef` | `toThrift()`
    `static java.util.List<TriggerDef>` | `toThrift(java.util.Map<java.lang.String,TriggerDefinition> triggers)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### name

          public final java.lang.String name

    - #### classOption

          public final java.lang.String classOption

  - ### Method Detail

    - #### create

          public static TriggerDefinition create(java.lang.String name,
                                 java.lang.String classOption)

    - #### fromSchema

          public static java.util.List<TriggerDefinition> fromSchema(Row serializedTriggers)

      Deserialize triggers from storage-level representation.
      Parameters:
        `serializedTriggers` - storage-level partition containing the trigger definitions
      Returns:
        the list of processed TriggerDefinitions

    - #### toSchema

          public void toSchema(Mutation mutation,
                      java.lang.String cfName,
                      long timestamp)

      Add specified trigger to the schema using given mutation.
      Parameters:
        `mutation` - The schema mutation
        `cfName` - The name of the parent ColumnFamily
        `timestamp` - The timestamp to use for the columns

    - #### deleteFromSchema

          public void deleteFromSchema(Mutation mutation,
                              java.lang.String cfName,
                              long timestamp)

      Drop specified trigger from the schema using given mutation.
      Parameters:
        `mutation` - The schema mutation
        `cfName` - The name of the parent ColumnFamily
        `timestamp` - The timestamp to use for the tombstone

    - #### fromThrift

          public static TriggerDefinition fromThrift(TriggerDef thriftDef)

    - #### toThrift

          public TriggerDef toThrift()

    - #### fromThrift

          public static java.util.Map<java.lang.String,TriggerDefinition> fromThrift(java.util.List<TriggerDef> thriftDefs)

    - #### toThrift

          public static java.util.List<TriggerDef> toThrift(java.util.Map<java.lang.String,TriggerDefinition> triggers)

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2014 The Apache Software Foundation